# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

#TODO: BR: perl(MooseX::AttributeHelpers) when available (actually a deprecated module)
#TODO: BR: perl(Test::Pod::No404s) when available

Name:		perl-Pod-Coverage-Moose
Version:	0.08
Release:	1.%{__distinit}%{__distvers}
Summary:	Pod::Coverage extension for Moose
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Pod-Coverage-Moose
Source0:	https://cpan.metacpan.org/modules/by-module/Pod/Pod-Coverage-Moose-%{version}.tar.gz
Patch0:		Pod-Coverage-Moose-0.08-en_US.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build::Tiny) >= 0.034
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Load)
BuildRequires:	perl(Moose) >= 2.1300
BuildRequires:	perl(namespace::autoclean) >= 0.08
BuildRequires:	perl(Pod::Coverage)
# Test Suite
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(if)
BuildRequires:	perl(lib)
BuildRequires:	perl(Moose::Role)
BuildRequires:	perl(overload)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Needs)
# Optional Tests
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(CPAN::Meta::Requirements)
BuildRequires:	perl(MooseX::AttributeHelpers)
BuildRequires:	perl(MooseX::Role::WithOverloading)
# Extra Tests
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(blib)
%if 0%{?fedora} > 23 || 0%{?rhel} > 7
BuildRequires:	glibc-langpack-en
%endif
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Pod::Wordlist)
BuildRequires:	perl(Test::CleanNamespaces) >= 0.15
BuildRequires:	perl(Test::CPAN::Changes)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Kwalitee)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::Mojibake)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Spelling) >= 0.12, hunspell-en
BuildRequires:	perl(Test::Vars)
%endif
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
When using Pod::Coverage in combination with Moose, it will report any
method imported from a Role. This is especially bad when used in
combination with Test::Pod::Coverage, since it takes away its ease of use.

%prep
%setup -q -n Pod-Coverage-Moose-%{version}

# Use US English
%patch -P 0
mv LICENCE LICENSE

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

# Author/Release tests
%if 0%{!?perl_bootstrap:1}
LANG=en_US RELEASE_TESTING=1 prove -Ilib $(echo $(find xt/ -name '*.t'))
%endif

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Pod/
%{_mandir}/man3/Pod::Coverage::Moose.3*

%changelog
* Sat Aug 26 2023 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08
  - Fix "Attempt to call undefined import method with arguments" error on
    perl 5.39.1
- Add patch to use US English spelling of LICENSE in pod

* Wed May 10 2023 Paul Howarth <paul@city-fan.org> - 0.07-23
- Switch upstream from search.cpan.org to metacpan.org
- Use SPDX-format license tag
- Additional build requirements for optional tests
- Fix permissions of installed files
- Use %%license unconditionally

* Tue Apr 17 2018 Paul Howarth <paul@city-fan.org> - 0.07-7
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workarounds for building with Test::More < 0.96 and
    Module::Build::Tiny < 0.034
  - Test::Vars always available
  - Can always use hunspell for spelling checks

* Wed Sep 21 2016 Paul Howarth <paul@city-fan.org> - 0.07-3
- Fix FTBFS when perl is not in the minimal buildroot
- BR: perl-generators where available

* Sat Sep  5 2015 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07
  - Fix test failures on Moose ≥ 2.1300 when MooseX::Role::WithOverloading is
    not installed (CPAN RT#106898)
- Require Moose ≥ 2.1300 and drop dependency on MooseX::Role::WithOverloading
- Re-enable Test::Vars with Perl 5.22
- Update patches as needed
- Add patch to support building with old Module::Build::Tiny versions

* Mon Aug 17 2015 Paul Howarth <paul@city-fan.org> - 0.06-1
- Update to 0.06
  - Update some distribution tooling
- Update patches as needed

* Tue Jun 30 2015 Paul Howarth <paul@city-fan.org> - 0.05-4
- Disable use of Test::Vars with Perl 5.22
  (https://github.com/gfx/p5-Test-Vars/issues/11)

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 0.05-3
- Drop support for building without Test::Requires and Test::CPAN::Changes
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible
- BR: perl(MooseX::Role::WithOverloading) for the test suite

* Mon Mar  3 2014 Paul Howarth <paul@city-fan.org> - 0.05-2
- Test::CleanNamespaces now generally available

* Sun Dec 15 2013 Paul Howarth <paul@city-fan.org> - 0.05-1
- Update to 0.05
  - Removed use of Perl6::Junction, which causes warnings with 5.18.0
  - Switch to using namespace::autoclean everywhere
  - Canonical repository migrated to the github moose organization
- Switch to Module::Build::Tiny flow
- This release by ETHER -> update source URL
- Classify buildreqs by usage
- Add a series of patches to support building with old versions of Test::More
- Add patch to support building without Test::Requires

* Thu Jul 25 2013 Paul Howarth <paul@city-fan.org> - 0.04-3
- Don't run the kwalitee test as it fails 'has_better_auto_install'

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 0.04-2
- BR: perl(Carp), perl(Cwd), perl(File::Path), perl(File::Spec), perl(lib) and
  perl(Moose::Role)

* Tue Mar 13 2012 Paul Howarth <paul@city-fan.org> - 0.04-1
- Update to 0.04
  - Fix the author field in META.yml
  - Compatibility with MooseX::Role::WithOverloading
- Don't need to remove empty directories from the buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}

* Wed Feb 29 2012 Paul Howarth <paul@city-fan.org> - 0.03-1
- Update to 0.03
  - Add cover_requires option
- This release by MMCLERIC -> update source URL

* Tue Aug 16 2011 Paul Howarth <paul@city-fan.org> - 0.02-7
- Import from Fedora

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.02-6
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.02-5
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.02-3
- Rebuild to fix problems with vendorarch/lib (#661697)

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.02-2
- Mass rebuild with perl-5.12.0

* Tue Mar 16 2010 Jan Klepek 0.02-1
- Specfile autogenerated by cpanspec 1.78
